﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using MahApps.Metro.Controls.Dialogs;
namespace WPFMetroUI
{
    /// <summary>
    /// Interaction logic for DialogDialog.xaml
    /// </summary>
    public partial class DialogDialog :  MahApps.Metro.Controls.MetroWindow
    {
        public DialogDialog()
        {
            InitializeComponent();
        }
        private async void ShowMessageDialog(object sender, RoutedEventArgs e)
        {
            MahApps.Metro.Controls.Dialogs.MessageDialogResult result = await this.ShowMessageAsync("Information!", "This is simple message dialog", MessageDialogStyle.Affirmative);
            
                await this.ShowMessageAsync("Result", "You click " + result, MessageDialogStyle.Affirmative);
            
        }
        private async void ShowMessageDialogConfirmation(object sender, RoutedEventArgs e)
        {
            MahApps.Metro.Controls.Dialogs.MessageDialogResult result = await this.ShowMessageAsync("Information!", "This is simple message dialog", MessageDialogStyle.AffirmativeAndNegative);
           
                await this.ShowMessageAsync("Result", "You click " + result, MessageDialogStyle.Affirmative);
            
        }
        private async void ShowMessageDialogWithSingleAuxiliary(object sender, RoutedEventArgs e)
        {
            var mySettings = new MetroDialogSettings()
            {
                AffirmativeButtonText = "True",
                NegativeButtonText = "False",
                FirstAuxiliaryButtonText = "No Option",
                ColorScheme = MetroDialogOptions.ColorScheme
            };
            MahApps.Metro.Controls.Dialogs.MessageDialogResult result = await this.ShowMessageAsync("Information!", "This is simple message dialog", MessageDialogStyle.AffirmativeAndNegativeAndSingleAuxiliary,mySettings);
            
                await this.ShowMessageAsync("Result", "You click " + result, MessageDialogStyle.Affirmative);
           
        }
        private async void ShowMessageDialogWithDoubleAuxiliary(object sender, RoutedEventArgs e)
        {
            var mySettings = new MetroDialogSettings()
            {
                AffirmativeButtonText = "Yes",
                NegativeButtonText = "No",
                FirstAuxiliaryButtonText = "Single Auxiliary Button",
                SecondAuxiliaryButtonText="Second Auxiliary Button",
                ColorScheme = MetroDialogOptions.ColorScheme
            };
            MahApps.Metro.Controls.Dialogs.MessageDialogResult result = await this.ShowMessageAsync("Information!", "This is simple message dialog", MessageDialogStyle.AffirmativeAndNegativeAndDoubleAuxiliary, mySettings);

            await this.ShowMessageAsync("Result", "You click " + result, MessageDialogStyle.Affirmative);

        }
        private async void ShowInputDialog(object sender, RoutedEventArgs e)
        {
            var result = await this.ShowInputAsync("Input Dialog", "What is your name?");

            if (result == null) //user pressed cancel
                return;

            await this.ShowMessageAsync("Inout Result", "You name is " + result + "!");
        }

        private void ListBox_SelectionChanged_1(object sender, SelectionChangedEventArgs e)
        {
            switch (lstDialogMenu.SelectedIndex)
            { 
                case 0:
                    ShowMessageDialog(this, null);
                    break;
                case 1:
                    ShowMessageDialogConfirmation(this, null);
                    break;
                case 2:
                    ShowMessageDialogWithSingleAuxiliary(this, null);
                    break;
                case 3:
                    ShowMessageDialogWithDoubleAuxiliary(this, null);
                    break;
                case 4:
                    ShowInputDialog(this, null);
                    break;
            }
        }
    }
    
}
